Skip to main content
GET
/
v1
/
allocations
/
strategy
/
{strategyId}
Get Allocation by Strategy
curl --request GET \
  --url https://api.example.com/v1/allocations/strategy/{strategyId}
Endpoint: GET https://api.rebelfi.io/v1/allocations/strategy/:strategyId
Get a specific allocation at a strategy for a wallet.

Path Parameters

ParameterTypeRequiredDescription
strategyIdnumberYesStrategy ID

Query Parameters

Provide one wallet identifier:
ParameterTypeRequiredDescription
walletAddressstringOne ofWallet address
walletIdnumberOne ofWallet ID

Example Request

curl -X GET "https://api.rebelfi.io/v1/allocations/strategy/1?walletId=42" \
  -H "x-api-key: your_api_key"

Example Response

{
  "strategyId": 1,
  "strategyName": "USDC Vault",
  "venueId": 1,
  "venueName": "Kamino",
  "walletAddress": "So11...abc",
  "blockchain": "solana",
  "token": "USDC",
  "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
  "principal": "1000000000",
  "currentValue": "1008500000",
  "yieldEarned": "8500000",
  "apy": 0.085,
  "lastUpdated": "2024-01-15T10:30:00Z"
}

Errors

CodeDescription
ALLOCATION_NOT_FOUNDNo position at this strategy for the wallet
WALLET_NOT_FOUNDWallet ID doesn’t exist